## aeolus 0.6.6+2

=== Makefile ===
#  Copyright (C) 2005-2006 Fons Adriaensen <fons.adriaensen@skynet.be>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.6.6
DISTDIR = aeolus-$(VERSION)
CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DLIBDIR=\"$(PREFIX)/$(LIBDIR)\"
#CPPFLAGS += -march=pentium4

all:	aeolus aeolus_x11.so aeolus_txt.so


AEOLUS_O =	main.o audio.o model.o slave.o imidi.o addsynth.o scales.o \
		reverb.o asection.o division.o rankwave.o rngen.o exp2ap.o lfqueue.o
aeolus:	LDLIBS += -lclalsadrv -lclthreads -lpthread -ljack -lasound -lpthread -lrt
aeolus: LDFLAGS += -L$(PREFIX)/$(LIBDIR)
aeolus:	$(AEOLUS_O)
	g++ $(LDFLAGS) -o $@ $(AEOLUS_O) $(LDLIBS)

addsynth.o:	CPPFLAGS += -fpic -D_REENTRANT
$(AEOLUS_O):
-include $(AEOLUS_O:%.o=%.d)


XIFACE_O =	styles.o mainwin.o midiwin.o audiowin.o instrwin.o editwin.o midimatrix.o \
		multislider.o functionwin.o xiface.o addsynth.o
aeolus_x11.so:	CPPFLAGS += -fpic -D_REENTRANT -I/usr/X11R6/include -I/usr/include/freetype2
aeolus_x11.so:	LDLIBS += -lclthreads -lclxclient -lXft -lX11
aeolus_x11.so:	LDFLAGS += -shared -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
aeolus_x11.so: $(XIFACE_O) $(LIBCLX)
	g++ $(LDFLAGS) -o $@ $(XIFACE_O) $(LDLIBS)

$(XIFACE_O):
-include $(XIFACE_O:%.o=%.d)



TIFACE_O =	tiface.o
aeolus_txt.so:	CPPFLAGS += -fpic -D_REENTRANT
aeolus_txt.so:	LDLIBS += -lclthreads
aeolus_txt.so:	LDFLAGS += -shared -L$(PREFIX)/$(LIBDIR)
aeolus_txt.so: $(TIFACE_O)
	g++ $(LDFLAGS) -o $@ $(TIFACE_O) $(LDLIBS)

$(TIFACE_O):
-include $(TIFACE_O:%.o=%.d)



install:	aeolus aeolus_x11.so aeolus_txt.so 
	/usr/bin/install -d $(PREFIX)/$(LIBDIR)
	/usr/bin/install -m 755 aeolus $(PREFIX)/bin
	/usr/bin/install -m 755 aeolus_x11.so $(PREFIX)/$(LIBDIR)
	/usr/bin/install -m 755 aeolus_txt.so $(PREFIX)/$(LIBDIR)
	/sbin/ldconfig $(PREFIX)/$(LIBDIR)

clean:
	/bin/rm -f *~ *.o *.d *.a *.so aeolus


tarball:
	cd ..; \
	/bin/rm -f -r $(DISTDIR)*; \
	svn export aeolus $(DISTDIR); \
	tar cvf $(DISTDIR).tar $(DISTDIR); \
	bzip2 $(DISTDIR).tar; \
	/bin/rm -f -r $(DISTDIR);

## aeolus 0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (C) 2005-2006 Fons Adriaensen <fons.adriaensen@skynet.be>
+#  Copyright (C) 2003-2008 Fons Adriaensen <fons@kokkinizita.net>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -15,10 +15,10 @@
 #  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
 
-PREFIX = /usr
+PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
-VERSION = 0.6.6
+VERSION = 0.8.1
 DISTDIR = aeolus-$(VERSION)
 CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DLIBDIR=\"$(PREFIX)/$(LIBDIR)\"
 #CPPFLAGS += -march=pentium4

## aeolus 0.8.2

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
-VERSION = 0.8.1
+VERSION = 0.8.2
 DISTDIR = aeolus-$(VERSION)
 CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DLIBDIR=\"$(PREFIX)/$(LIBDIR)\"
 #CPPFLAGS += -march=pentium4

## aeolus 0.8.4

=== source/Makefile ===
#  Copyright (C) 2003-2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.8.4
DISTDIR = aeolus-$(VERSION)
CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DLIBDIR=\"$(PREFIX)/$(LIBDIR)\"
CPPFLAGS += -march=native

all:	aeolus aeolus_x11.so aeolus_txt.so


AEOLUS_O =	main.o audio.o model.o slave.o imidi.o addsynth.o scales.o \
		reverb.o asection.o division.o rankwave.o rngen.o exp2ap.o lfqueue.o
aeolus:	LDLIBS += -lclalsadrv -lclthreads -lpthread -ljack -lasound -lpthread -lrt
aeolus: LDFLAGS += -L$(PREFIX)/$(LIBDIR)
aeolus:	$(AEOLUS_O)
	g++ $(LDFLAGS) -o $@ $(AEOLUS_O) $(LDLIBS)

addsynth.o:	CPPFLAGS += -fpic -D_REENTRANT
$(AEOLUS_O):
-include $(AEOLUS_O:%.o=%.d)


XIFACE_O =	styles.o mainwin.o midiwin.o audiowin.o instrwin.o editwin.o midimatrix.o \
		multislider.o functionwin.o xiface.o addsynth.o
aeolus_x11.so:	CPPFLAGS += -fpic -D_REENTRANT -I/usr/X11R6/include -I/usr/include/freetype2
aeolus_x11.so:	LDLIBS += -lclthreads -lclxclient -lXft -lX11
aeolus_x11.so:	LDFLAGS += -shared -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
aeolus_x11.so: $(XIFACE_O) $(LIBCLX)
	g++ $(LDFLAGS) -o $@ $(XIFACE_O) $(LDLIBS)

$(XIFACE_O):
-include $(XIFACE_O:%.o=%.d)


TIFACE_O =	tiface.o
aeolus_txt.so:	CPPFLAGS += -fpic -D_REENTRANT
aeolus_txt.so:	LDLIBS += -lclthreads -lreadline
aeolus_txt.so:	LDFLAGS += -shared -L$(PREFIX)/$(LIBDIR)
aeolus_txt.so: $(TIFACE_O)
	g++ $(LDFLAGS) -o $@ $(TIFACE_O) $(LDLIBS)

$(TIFACE_O):
-include $(TIFACE_O:%.o=%.d)


install:	aeolus aeolus_x11.so aeolus_txt.so 
	install -Dm 755 aeolus $(DESTDIR)$(PREFIX)/bin/aeolus
	install -Dm 755 aeolus_x11.so $(DESTDIR)$(PREFIX)/$(LIBDIR)/aeolus_x11.so
	install -Dm 755 aeolus_txt.so $(DESTDIR)$(PREFIX)/$(LIBDIR)/aeolus_txt.so
	/sbin/ldconfig $(PREFIX)/$(LIBDIR)


clean:
	/bin/rm -f *~ *.o *.d *.a *.so aeolus

=== debian/changelog ===
aeolus (0.8.4-5) unstable; urgency=low

  * debian/patches/01-makefile.patch:
    - Add -pthread flag.
    - Install aeolus_*.so into /usr/lib/aeolus, they are provided for
      internal use only.
  * Switch packaging to 3.0 (quilt) format.
  * Drop unneeded 02-rename_plugin_shlibs.patch:
  * Change my email address, remove DMUA field.
  * Add git-buildpackage config file.
  * Add manpage and install it.
  * Reintroduce build-dependency on libasound2-dev to hurd and kfreebsd-*.
  * Introduce -S,-D options to shorten debian/rules file.
  * Recommends jackd.
  * Update Homepage.
  * Fix debian/watch file.
  * Adjust dh_install,dh_installdirs control files, shorten debian/rules.
  * Update debian/copyright file.
  * Remove debian/docs, AUTHORS file is unnecessary since debian/copyright
    contains all the needed information.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 13 Apr 2011 18:34:14 +0200

aeolus (0.8.4-4) unstable; urgency=medium

  * Plugins have been renamed, fix the search patch (Closes: #581714)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 15 May 2010 12:16:20 +0200

aeolus (0.8.4-3) unstable; urgency=low

  * debian/patches/01-makefile.patch: Drop -march=native flag, it isn't valid
    for Debian packages as the results are unpredictable, thanks to
    Bastian Blank for reporting this (Closes: #578278).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 19 Apr 2010 19:12:51 +0200

aeolus (0.8.4-2) unstable; urgency=low

  * Adjust 01-makefile.patch to prevent FTBFS with binutils-gold
    (Closes: #553630).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 18 Apr 2010 12:03:44 +0200

aeolus (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Disable libasound2-dev as build-dep for kfreebsd-*,hurd-i386
    architectures.
  * Switch to debhelper 7 + quilt.
  * Rename old debian/patches/makefile.patch to 01-makefile.patch:
    - Append a SONAME to aeolus_{txt,x11}.so libraries.
  * Add README.source file to document the usage of quilt.
  * Install README file as upstream's changelog.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 17 Apr 2010 20:51:51 +0200

aeolus (0.8.2-3) unstable; urgency=low

  * Create /usr/bin destination path before calling 'make install'.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 13 Apr 2010 17:52:18 +0200

aeolus (0.8.2-2) unstable; urgency=low

  * debian/control:
    - Change Maintainer to Debian Multimedia Maintainers.
    - Add myself to Uploaders list.
    - Set DM-Upload-Allowed to yes.
    - Bump-up Standards.
    - Add Vcs-* tags.
    - Add Homepage field.
    - Build-depend on libreadline5-dev.
   * Fix debian/menu as per spec.
   * Fix desktop file as per spec.
   * debian/copyright:
     - Update according to the DEP-5 spec.
   * Remove unnecessary debian/dirs file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 05 Jan 2010 19:41:22 +0100

aeolus (0.8.2-1) unstable; urgency=low

   * New upstream version
   * Add missing build-dependency on libreadline5-dev (Closes: #564849)

 -- Free Ekanayaka <freee@debian.org>  Sat, 16 Jan 2010 15:05:00 +0100

aeolus (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Updated watch file
  * Updated makefile patch

 -- Free Ekanayaka <freee@debian.org>  Mon, 14 Apr 2008 15:22:24 +0100

aeolus (0.6.6+2-4) unstable; urgency=low

  * Added icon to the .desktop file (thanks to Daniel James)

 -- Free Ekanayaka <freee@debian.org>  Mon, 21 May 2007 14:36:51 +0200

aeolus (0.6.6+2-3) unstable; urgency=low

  * Relaxed build dep on clxclient to allow etch backports

 -- Free Ekanayaka <freee@debian.org>  Thu, 17 May 2007 14:12:36 +0200

aeolus (0.6.6+2-2) unstable; urgency=low

  * Build depend on bug-fixed clxclient

 -- Free Ekanayaka <freee@debian.org>  Mon, 14 May 2007 22:18:54 +0200

aeolus (0.6.6+2-1) unstable; urgency=low

  * Initial release (Closes: #420586)

 -- Free Ekanayaka <freee@debian.org>  Mon, 23 Apr 2007 00:08:25 +0200

=== debian/control ===
Source: aeolus
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libasound2-dev,
 libjack-dev,
 libclthreads-dev,
 libclxclient-dev (>= 3.3.1),
 libclalsadrv-dev,
 libreadline5-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/aeolus.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/aeolus.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/aeolus/

Package: aeolus
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 stops
Recommends: jackd
Description: Synthesised pipe organ emulator
 Aeolus is a synthesised (i.e. not sampled) pipe organ emulator that
 should be good enough to make an organist enjoy playing it. It is a
 software synthesiser optimised for this job, with possibly hundreds
 of controls for each stop, that enable the user to "voice" his
 instrument.
 .
 Main features of the default instrument: three manuals and one pedal,
 five different temperaments, variable tuning, MIDI control of course,
 stereo, surround or Ambisonics output, flexible audio controls
 including a large church reverb.
 .
 Aeolus is not very CPU-hungry, and should run without problems on a
 e.g. a 1GHz, 256Mb machine.

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html aeolus-([\d\.]+)\.tar\.bz2

## aeolus 0.9.0

=== source/Makefile ===
# -------------------------------------------------------------------------
#
#  Copyright (C) 2003-2013 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.9.0
DISTDIR = aeolus-$(VERSION)
CPPFLAGS += -DVERSION=\"$(VERSION)\" -DLIBDIR=\"$(PREFIX)/$(LIBDIR)\"
CXXFLAGS += -O3 -Wall -MMD -MP
CXXFLAGS += -march=native

all:	aeolus aeolus_x11.so aeolus_txt.so


AEOLUS_O =	main.o audio.o model.o slave.o imidi.o addsynth.o scales.o \
		reverb.o asection.o division.o rankwave.o rngen.o exp2ap.o lfqueue.o
aeolus:	LDLIBS += -lzita-alsa-pcmi -lclthreads -ljack -lasound -lpthread -ldl -lrt
aeolus: LDFLAGS += -L$(PREFIX)/$(LIBDIR)
aeolus:	$(AEOLUS_O)
	g++ $(LDFLAGS) -o $@ $(AEOLUS_O) $(LDLIBS)

addsynth.o:	CPPFLAGS += -fpic -D_REENTRANT
$(AEOLUS_O):
-include $(AEOLUS_O:%.o=%.d)


XIFACE_O =	styles.o mainwin.o midiwin.o audiowin.o instrwin.o editwin.o midimatrix.o \
		multislider.o functionwin.o xiface.o addsynth.o
aeolus_x11.so:	CXXFLAGS += -fPIC
aeolus_x11.so:	CPPFLAGS += -D_REENTRANT -I/usr/X11R6/include -I/usr/include/freetype2
aeolus_x11.so:	LDLIBS += -lclthreads -lclxclient -lpthread -lXft -lX11
aeolus_x11.so:	LDFLAGS += -shared -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
aeolus_x11.so: $(XIFACE_O) $(LIBCLX)
	g++ $(LDFLAGS) -o $@ $(XIFACE_O) $(LDLIBS)

$(XIFACE_O):
-include $(XIFACE_O:%.o=%.d)


TIFACE_O =	tiface.o
aeolus_txt.so:	CXXFLAGS += -fPIC
aeolus_txt.so:	CPPFLAGS += -D_REENTRANT
aeolus_txt.so:	LDLIBS += -lclthreads -lpthread -lreadline
aeolus_txt.so:	LDFLAGS += -shared -L$(PREFIX)/$(LIBDIR)
aeolus_txt.so: $(TIFACE_O)
	g++ $(LDFLAGS) -o $@ $(TIFACE_O) $(LDLIBS)

$(TIFACE_O):
-include $(TIFACE_O:%.o=%.d)


install:	aeolus aeolus_x11.so aeolus_txt.so 
	install -Dm 755 aeolus $(DESTDIR)$(PREFIX)/bin/aeolus
	install -Dm 755 aeolus_x11.so $(DESTDIR)$(PREFIX)/$(LIBDIR)/aeolus_x11.so
	install -Dm 755 aeolus_txt.so $(DESTDIR)$(PREFIX)/$(LIBDIR)/aeolus_txt.so
	ldconfig $(PREFIX)/$(LIBDIR)


clean:
	/bin/rm -f *~ *.o *.d *.a *.so aeolus

=== debian/changelog ===
aeolus (0.9.0-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:30:06 +0000

aeolus (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Replace libclalsadrv-dev with libzita-alsa-pcmi.
  * Bump debhelper compatibility.
  * Bump libclxclient-dev dependency.
  * Update debian/copyright.
  * Update Vcs-* tags.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 08 Aug 2013 10:00:11 +0100

aeolus (0.8.4-6) unstable; urgency=medium

  * Replace libreadline5-dev with libreadline-dev (Closes: #634446)

 -- Alessio Treglia <alessio@debian.org>  Tue, 06 Sep 2011 00:04:36 +0200

=== debian/control ===
Source: aeolus
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 libasound2-dev,
 libclthreads-dev,
 libclxclient-dev (>= 3.9.0),
 libjack-dev,
 libreadline-dev,
 libzita-alsa-pcmi-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/aeolus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/aeolus.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/aeolus/

Package: aeolus
Architecture: any
Depends:
 stops,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd
Description: Synthesised pipe organ emulator
 Aeolus is a synthesised (i.e. not sampled) pipe organ emulator that
 should be good enough to make an organist enjoy playing it. It is a
 software synthesiser optimised for this job, with possibly hundreds
 of controls for each stop, that enable the user to "voice" his
 instrument.
 .
 Main features of the default instrument: three manuals and one pedal,
 five different temperaments, variable tuning, MIDI control of course,
 stereo, surround or Ambisonics output, flexible audio controls
 including a large church reverb.
 .
 Aeolus is not very CPU-hungry, and should run without problems on a
 e.g. a 1GHz, 256Mb machine.

=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=$(CURDIR)/debian/aeolus

%:
	dh $@ -Smakefile -Dsource

override_dh_installchangelogs:
	dh_installchangelogs README

## aeolus 0.9.5

=== source/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
-VERSION = 0.9.0
+VERSION = 0.9.5
 DISTDIR = aeolus-$(VERSION)
 CPPFLAGS += -DVERSION=\"$(VERSION)\" -DLIBDIR=\"$(PREFIX)/$(LIBDIR)\"
 CXXFLAGS += -O3 -Wall -MMD -MP

=== debian/changelog ===
aeolus (0.9.5-1) unstable; urgency=medium

  * Add myself as uploader.
  * Bump Standards.
  * Update Vcs entry.
  * Set priority optional.
  * Continuation comma.
  * Set compat/dh 10.
  * Update copyright file.
  * New upstream version 0.9.5
  * Drop menu file.
  * Patch refreshed.
  * Fix hardening.
  * Avoid useless linking.
  * Add Keywords to desktop file.
  * Install README file as doc.(Closes: #712106)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 15 Oct 2017 15:27:51 +0200

aeolus (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Nov 2016 22:05:59 +0000

=== debian/control ===
Source: aeolus
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper (>= 10~),
 libasound2-dev,
 libclthreads-dev,
 libclxclient-dev (>= 3.9.0),
 libjack-dev,
 libreadline-dev,
 libzita-alsa-pcmi-dev,
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/aeolus.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/aeolus.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/aeolus/

Package: aeolus
Architecture: any
Depends:
 stops,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 jackd,
Description: Synthesised pipe organ emulator
 Aeolus is a synthesised (i.e. not sampled) pipe organ emulator that
 should be good enough to make an organist enjoy playing it. It is a
 software synthesiser optimised for this job, with possibly hundreds
 of controls for each stop, that enable the user to "voice" his
 instrument.
 .
 Main features of the default instrument: three manuals and one pedal,
 five different temperaments, variable tuning, MIDI control of course,
 stereo, surround or Ambisonics output, flexible audio controls
 including a large church reverb.
 .
 Aeolus is not very CPU-hungry, and should run without problems on a
 e.g. a 1GHz, 256Mb machine.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export DESTDIR=$(CURDIR)/debian/aeolus

## aeolus 0.9.7

=== source/Makefile ===
# -------------------------------------------------------------------------
#
#  Copyright (C) 2003-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -------------------------------------------------------------------------

SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib$(SUFFIX)

VERSION = 0.9.7
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DLIBDIR=\"$(LIBDIR)\"
CXXFLAGS += -O2 -Wall
CXXFLAGS += -march=native


all:	aeolus aeolus_x11.so aeolus_txt.so


AEOLUS_O =	main.o audio.o model.o slave.o imidi.o addsynth.o scales.o \
		reverb.o asection.o division.o rankwave.o rngen.o exp2ap.o lfqueue.o
aeolus:	LDLIBS += -lzita-alsa-pcmi -lclthreads -ljack -lasound -lpthread -ldl -lrt
aeolus: LDFLAGS += -L$(LIBDIR)
aeolus:	$(AEOLUS_O)
	$(CXX) $(LDFLAGS) -o $@ $(AEOLUS_O) $(LDLIBS)
addsynth.o:	CPPFLAGS += -fPIC -D_REENTRANT
$(AEOLUS_O):
-include $(AEOLUS_O:%.o=%.d)


XIFACE_O =	styles.o mainwin.o midiwin.o audiowin.o instrwin.o editwin.o \
	midimatrix.o multislider.o functionwin.o xiface.o addsynth.o
aeolus_x11.so:	CPPFLAGS += -D_REENTRANT
aeolus_x11.so:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
aeolus_x11.so:	CXXFLAGS += -shared -fPIC
aeolus_x11.so:	LDFLAGS += -shared
aeolus_x11.so:	LDLIBS += -lclthreads -lclxclient -lpthread -lXft -lX11
aeolus_x11.so: $(XIFACE_O) $(LIBCLX)
	$(CXX) $(LDFLAGS) -o $@ $(XIFACE_O) $(LDLIBS)

$(XIFACE_O):
-include $(XIFACE_O:%.o=%.d)


TIFACE_O =	tiface.o
aeolus_txt.so:	CPPFLAGS += -D_REENTRANT
aeolus_txt.so:	CXXFLAGS += -shared -fPIC
aeolus_txt.so:	LDFLAGS += -shared
aeolus_txt.so:	LDLIBS += -lclthreads -lpthread -lreadline
aeolus_txt.so: $(TIFACE_O)
	$(CXX) $(LDFLAGS) -o $@ $(TIFACE_O) $(LDLIBS)

$(TIFACE_O):
-include $(TIFACE_O:%.o=%.d)


install:	aeolus aeolus_x11.so aeolus_txt.so 
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(LIBDIR)
	install -m 755 aeolus $(DESTDIR)$(BINDIR)
	install -m 755 aeolus_x11.so $(DESTDIR)$(LIBDIR)
	install -m 755 aeolus_txt.so $(DESTDIR)$(LIBDIR)
	ldconfig $(PREFIX)/$(LIBDIR)


clean:
	/bin/rm -f *~ *.o *.d *.a *.so aeolus

=== debian/changelog ===
aeolus (0.9.7-2) unstable; urgency=medium

  [ Dennis Braun ]
  * Fix FTCBFS (Closes: #950826)
    + Pass a triplet-prefixed pkg-config
  * d/control:
    + Add me as an uploader
    + Bump Standards Version to 4.5.0
    + Add libfreetype6-dev and pkg-config to B-D
    + Set RRR: no
  * d/patches/: Merge patches

  [ Sebastian Ramacher ]
  * debian/rules: Remove unnecessary -Smakefile

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Feb 2020 09:42:42 +0100

aeolus (0.9.7-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * d/aeolus.desktop: Add a French comment
  * Update http > https for d/control, d/copyright and d/watch

  [ Dennis Braun ]
  * New upstream release (Closes: #901543)
  * d/control:
    + Bump dh-compat version to 12
    + Bump Standards Version to 4.4.1
  * d/copyright:
    + Update copyright year
    + Add myself
  * d/patches/01-makefile.patch: Update
  * d/patches/02-pkg-config_fix.patch: Fix pkg-config command in Makefile
  * d/source/local-options: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 20 Jan 2020 17:03:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: aeolus
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  libasound2-dev,
  libclthreads-dev,
  libclxclient-dev (>= 3.9.0),
  libjack-dev,
  libreadline-dev,
  libzita-alsa-pcmi-dev,
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/aeolus.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/aeolus.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/aeolus/
+ libfreetype6-dev,
+ pkg-config
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/aeolus.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/aeolus
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/aeolus/
+Rules-Requires-Root: no
 
 Package: aeolus
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,16 @@
 
 export DESTDIR=$(CURDIR)/debian/aeolus
 
+include /usr/share/dpkg/buildtools.mk
+
+export PKG_CONF=$(PKG_CONFIG)
+
+export PREFIX=/usr
+
+export LIBDIR=$(PREFIX)/lib/aeolus
+
 %:
-	dh $@ -Smakefile -Dsource
+	dh $@ -Dsource
 
 override_dh_installchangelogs:
 	dh_installchangelogs README

=== debian/watch ===
version=3
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html aeolus-([\d\.]+)\.tar\.bz2

## aeolus 0.9.9

=== source/Makefile ===
--- 
+++ 
@@ -17,12 +17,13 @@
 #
 # -------------------------------------------------------------------------
 
+
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 LIBDIR ?= $(PREFIX)/lib$(SUFFIX)
 
-VERSION = 0.9.7
+VERSION = 0.9.9
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DLIBDIR=\"$(LIBDIR)\"
 CXXFLAGS += -O2 -Wall
 CXXFLAGS += -march=native
@@ -45,7 +46,7 @@
 XIFACE_O =	styles.o mainwin.o midiwin.o audiowin.o instrwin.o editwin.o \
 	midimatrix.o multislider.o functionwin.o xiface.o addsynth.o
 aeolus_x11.so:	CPPFLAGS += -D_REENTRANT
-aeolus_x11.so:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
+aeolus_x11.so:	CPPFLAGS += $(shell pkg-config --cflags freetype2)
 aeolus_x11.so:	CXXFLAGS += -shared -fPIC
 aeolus_x11.so:	LDFLAGS += -shared
 aeolus_x11.so:	LDLIBS += -lclthreads -lclxclient -lpthread -lXft -lX11

=== debian/changelog ===
aeolus (0.9.9-1) unstable; urgency=medium

  * New upstream version 0.9.9
  * Bump dh-compat to 13
  * Update the copyright year
  * Refresh patch
  * d/rules: Remove DEB_LDFLAGS_MAINT_APPEND export

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 24 Jun 2020 23:26:34 +0200

aeolus (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8
  * Update Makefile patch

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 29 Mar 2020 22:31:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libasound2-dev,
  libclthreads-dev,
  libclxclient-dev (>= 3.9.0),

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export DESTDIR=$(CURDIR)/debian/aeolus

## aeolus 0.10.4

=== debian/changelog ===
aeolus (0.10.4-1) unstable; urgency=medium

  * New upstream version 0.10.4
  * Bump Standards Version to 4.6.1
  * Bump d/copyright years
  * Remove obsolete d/dirs
  * Refresh patchset
  * Bump d/watch version

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 12 May 2022 22:10:37 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libzita-alsa-pcmi-dev,
  libfreetype6-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/aeolus.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/aeolus
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/aeolus/

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html aeolus-([\d\.]+)\.tar\.bz2
